### Function

# Gimp brush_set_radius

#### Declaration [src]

    gdouble
    gimp_brush_set_radius (
      const gchar* name,
      gdouble radius_in
    )

#### Description [src]

Sets the radius of a generated brush.

This procedure sets the radius for a generated brush. If called for any other type of brush, it does not succeed.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`radius_in` | `gdouble`
| The desired brush radius in pixel.

#### Return value

Returns: | `gdouble`
| The brush radius actually assigned.